Target version:    

Resolution: Invalid   

Description

I'm currently browsing around the Redmine layout and can't help noticing the distinct lack of navigation on many of the pages.

For example when browsing the repository, there's no navigation to return to the previous page, no breadcrumbs etc.

This issue seems to be applicable to most of the pages here but just for example, if I use the "revision" input box to load a revision

that doesn't exist I just get the message, "The entry or revision was not found in the repository" and literally no navigation or

breadcrumb history whatsoever. The only way to return is to either use the browsers back button or navigate the repository from the

start again.

I realise the back button is sufficient for this purpose but it's pretty poor form for a user interface to have no intuitive navigation

presented for each page.

History

#1 - 2010-07-24 22:49 - Shane Pearlman

Hi Criag,

You are totally correct. Now that redmine 1.0 is pretty much handled, we are actually going to start discussing a new theme for redmine. If this is of

interest, join the next UX core group meeting. http://www.redmine.org/wiki/redmine/UX_Team

#2 - 2010-07-25 16:07 - Craig Barnes

I followed the link you posted above but I don't really have any idea what to do with that page.  It says that to contribute I must contact you or Igor but

there's no email addresses, no PM system and no contact details of any kind.  This has prompted me to create another feature request (#5956).

I am very interested in contributing however - I'm just not sure how to start. I have very little experience with Ruby but a great deal of experience in

front-end design. If you give me an idea of how I can help out, I'm ready to get started right away.

I was actually planning to start working on a theme for my own installation anyway but I'm more than willing to share. I can also help out by reporting

every instance of where I consider the navigation to be lacking or less than intuitive.

Also, are there any plans for an easy installation script to handle the installing of the correct versions of Ruby, Rails and all of the other dependencies

(particularly on Linux systems)? If so, I am  willing to contribute on that too and if not I am willing to make one.

I look forward to contributing and hope to hear from you soon,

Craig.

#3 - 2010-08-02 13:28 - Craig Barnes

Please disregard what I posted above.  I have since switched to a Drupal based Project Management System due to a worrying lack of activity here.

#4 - 2010-08-02 15:16 - Felix Schäfer

Craig Barnes wrote:

Also, are there any plans for an easy installation script to handle the installing of the correct versions of Ruby, Rails and all of the other

dependencies (particularly on Linux systems)? If so, I am  willing to contribute on that too and if not I am willing to make one.

 If you were looking for reactions to things like that, you won't get any in totally unrelated tickets. Either open a new ticket or start a new thread in the

forums. The short answer though is: Won't happen (or at least not soon), other people (bitnami, turnkey, …) or the distribution specific package

managers (gentoo, ubutnu, debian, …) already do that job, no need to reinvent the wheel.

If you meant overall activity: this is free software contributed to in the devs' free/spare time, and while redmine might not have the same traction as
other bigger projects, we are slowly getting there :-)

#5 - 2010-08-06 02:15 - Eric Davis

- Status changed from New to Closed

- Resolution set to Invalid

Closing, there is no clear request here and the author decided to use something else.

#6 - 2011-10-25 12:48 - Abram Teal
